# Update a person's tax exemption order

Modifies the time period and/or tax-exempt amount of a person's tax
exemption order.

Endpoint: PATCH /v1/persons/{person_id}/deposit_accounts/{account_id}/tax_exemptions
Version: 1.0

## Path parameters:

  - `person_id` (string, required)
    Unique ID of a person.
    Example: "111110faed3c03261a08e2660c0c08bdcper"

  - `account_id` (string, required)
    Unique ID of a Solaris account.
    Example: "e48c29b85992b8772eb7ddd518490920cacc"

## Request fields (application/json):

  - `amount` (object)
    The amount to be exempted from tax.

  - `amount.value` (integer)
    The amount.
    Example: 5000

  - `amount.unit` (string)
    Money unit used to represent the amount.
    Example: "cents"

  - `amount.currency` (string)
    The currency in which the amount is represented.
    Example: "EUR"

  - `valid_from_year` (string)
    Year from which the tax exemption order takes effect.
    Example: "2023"

  - `valid_to_year` (string)
    Year until which the tax exemption order applies.
    Example: "2025"

## Response 202 fields (application/json):

  - `id` (string, required)
    ID of the tax exemption order.
    Example: "d222a0b8-07ea-49be-83c1-68719be286e8"

  - `amount` (object, required)
    The amount to be exempted from tax.

  - `amount.value` (integer)
    The amount.
    Example: 5000

  - `amount.unit` (string)
    Money unit used to represent the amount.
    Example: "cents"

  - `amount.currency` (string)
    The currency in which the amount is represented.
    Example: "EUR"

  - `valid_from_year` (string, required)
    Year from which the tax exemption order takes effect.
    Example: "2023"

  - `valid_to_year` (string)
    Year until which the tax exemption order applies.
    Example: "2025"

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.id` (string)
    X-Request-ID of the http request
    Example: "b35f2aaf-4e0c-4d49-8021-8a16a884ed81"

  - `errors.status` (string)
    Example: "400"

  - `errors.code` (string)
    Example: "build_pagination_headers_failure"

  - `errors.title` (string)
    Example: "Failed to build pagination headers."

  - `errors.details` (string)
    Example: "Cannot connect to database."

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.id` (string)
    X-Request-ID of the http request
    Example: "a95f2aaf-4e0c-4d49-8021-8a16a884ed86"

  - `errors.status` (string)
    Example: "403"

  - `errors.code` (string)
    Example: "forbidden_error"

  - `errors.title` (string)
    Example: "Forbidden Error"

  - `errors.details` (string)
    Example: "No Access to the given resource."

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.id` (string)
    X-Request-ID of the http request
    Example: "c22f2aaf-4e0c-4d49-8021-8a16a884ed86"

  - `errors.status` (string)
    Example: "404"

  - `errors.code` (string)
    Example: "resource_not_found"

  - `errors.title` (string)
    Example: "Resource Not Found"

  - `errors.details` (string)
    Example: "No resource found for the given ID."

## Response 500 fields (application/json):

  - `errors` (array)

  - `errors.id` (string)
    X-Request-ID of the http request
    Example: "a88f2aaf-4e0c-4d49-8021-8a16a884ed81"

  - `errors.status` (string)
    Example: "500"

  - `errors.code` (string)
    Example: "generic_error"

  - `errors.title` (string)
    Example: "Generic Error"

  - `errors.details` (string)
    Example: "Error while processing this request."


